> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/apps/rds/server-attribute.md).

# Server Attribute

## Create

> Add a Server Attribute for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/RDS/ServerAttr/{serverId}":{"post":{"tags":["3-Publishing/Applications//RDS"],"summary":"Create","description":"Add a Server Attribute for the specified published RD Session Host application.","operationId":"b3c6aba3-c58d-4b92-a499-b7e33fd0a9da","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application for which the Server Attribute will be added","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"serverId","in":"path","description":"ID of the RD Session Host Server to which the attribute will be added","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Specifies the Server Attribute that will be added","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddPubRDSAppServerAttr"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddPubRDSAppServerAttr":{"required":["serverID"],"type":"object","properties":{"serverID":{"type":"integer","description":"<para type=\"description\">RDS server ID on which the attributes will be updated.</para>","format":"int32"},"target":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application target file. (i.e. calc.exe, file.txt, etc.)</para>","nullable":true},"startIn":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application working directory.</para>","nullable":true},"parameters":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application parameters.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a server to the list of servers where the Publishing is being hosted</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Add a Server Attribute for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/RDS/ServerAttr/{serverId}":{"put":{"tags":["3-Publishing/Applications//RDS"],"summary":"Update","description":"Add a Server Attribute for the specified published RD Session Host application.","operationId":"ae3bb9b6-b3a1-47cd-bfe1-77372fe2dc27","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application for which the Server Attribute will be updated","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"serverId","in":"path","description":"ID of the RD Session Host Server for which the attribute will be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Specifies the Server Attribute that will be modified","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPubRDSAppServerAttr"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPubRDSAppServerAttr":{"type":"object","properties":{"target":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application target file. (i.e. calc.exe, file.txt, etc.)</para>","nullable":true},"startIn":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application working directory.</para>","nullable":true},"parameters":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Application parameters.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update a list of individual servers the published application is published from</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove a Server Attribute for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/RDS/ServerAttr/{serverId}":{"delete":{"tags":["3-Publishing/Applications//RDS"],"summary":"Delete","description":"Remove a Server Attribute for the specified published RD Session Host application.","operationId":"91a1a6ae-001a-4465-8dc2-4a0dfc863693","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application for which the Server Attribute will be deleted","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"serverId","in":"path","description":"ID of the RD Session Host Server for which the attribute will be deleted","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve Server Attributes for the specified published RD Session Host application.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Apps/RDS/ServerAttr":{"get":{"tags":["3-Publishing/Applications//RDS"],"summary":"Get","description":"Retrieve Server Attributes for the specified published RD Session Host application.","operationId":"ecec165a-de17-4f7e-8059-d704e96d5784","parameters":[{"name":"id","in":"path","description":"ID of the published RD Session Host application from which the Server Attribute will be shown","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"serverId","in":"query","description":"ID of the RD Session Host Server from which attributes will be shown","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PubAppAttr"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PubAppAttr":{"type":"object","properties":{"parameters":{"type":"string","description":"<para type=\"description\">Application parameters.</para>","nullable":true},"startIn":{"type":"string","description":"<para type=\"description\">Application working directory.</para>","nullable":true},"target":{"type":"string","description":"<para type=\"description\">Application target file. (i.e. calc.exe, file.txt, etc.).</para>","nullable":true},"serverId":{"type":"integer","description":"<para type=\"description\">ID of the server where the application is published.</para>","format":"int32"},"package":{"type":"string","description":"<para type=\"description\">The MSIX Package.</para>","nullable":true},"packagedApp":{"type":"string","description":"<para type=\"description\">The Application within the MSIX Package.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Published application attributes.</para>\r\n<para type=\"description\">Contains application settings per server</para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/apps/rds/server-attribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
